Instalar Gimp 2.8 en Debian Testing (Wheezy)

Gracias al compa Yoyo podemos instalar Gimp 2.8 guiándonos por el tutorial que podemos encontrar en este enlace. Los pasos son simples:

Instalando las dependencias necesarias:

Abrimos un terminal y ponemos:

$ sudo aptitude install intltool libpng12-dev libglib2.0-dev libatk1.0-dev libpango1.0-dev libfontconfig1-dev libcairo2-dev libgtk2.0-dev libtiff4-dev python-gtk2-dev libatk1.0-dev librsvg2-bin libwebkit-dev librsvg2-2.0-cil-dev libjasper-dev liblcms-dev libexif-dev libwmf-dev python2.7-dev

OJO: Esto nos instalará unas cuantas dependencias de MONO, así que al que no le guste esta tecnología, puede dar por terminado el tutorial 😀

Necesitamos compilar babl y gegl pues la versión que tenemos en los repositorios de Testing es inferior a la que Gimp 2.8 necesita.

Compilando las librerías necesarias:

$ wget ftp://ftp.gtk.org/pub/babl/0.1/babl-0.1.10.tar.bz2
$ tar -xvf babl-0.1.10.tar.bz2
$ cd babl-0.1.10/
$ ./configure
$ make
$ sudo make install

$ wget ftp://ftp.gimp.org/pub/gegl/0.2/gegl-0.2.0.tar.bz2
$ tar -xvf gegl-0.2.0.tar.bz2
$ cd gegl-0.2.0/
$ ./configure
$ make
$ sudo make install

Desinstalamos Gimp 2.6

$ sudo aptitude purge libgimp2.0 gimp gimp-help-en gimp-help-common gimp-data libgimp2.0

Compilamos e instalamos Gimp 2.8

$ wget ftp://ftp.gimp.org/pub/gimp/v2.8/gimp-2.8.0.tar.bz2
$ tar -xvf gimp-2.8.0.tar.bz2
$ cd gimp-2.8.0
$ ./configure
$ make
$ sudo make install

Listo. Debe funcionar, aunque si no inicia Gimp mediante el icono en el menú, podemos solucionarlo de esta forma:

Añadimos en nuestro fichero ~/.bashrc las siguientes líneas:

LD_LIBRARY_PATH=/usr/local/lib
env LD_LIBRARY_PATH="/usr/local/lib" gimp
export LD_LIBRARY_PATH

Aunque honestamente no he probado. La solución me la dio el compa Yoyo y la pueden ver acá.

Comparte para difundir

Si te ha gustado nuestro contenido ahora puedes ayudar a difundirlo en las redes sociales de manera sencilla usando los siguientes botones:

Envía
Pinea
Print

46 comentarios

  1.   leodelacruz dijo

    Lo estoy usando, con nuevo splash y al fin al modo ventana unica! 😀

  2.   Giskard dijo

    Las mejoras se ven espectaculares, pero esperaré al PPA. Al igual que el nuevo XFCE 4.10
    😀

  3.   Alba dijo

    Yo tengo un problema

    “dimentio gimp-2.8.0 # make
    make: *** No se especificó ningún objetivo y no se encontró ningún makefile. Alto.”

    ;A;

    1.    Alba dijo

      ok… creo que ya miro que pasa, cuando hago el paso del gegl-0.2.0 al hacer “make” me tira muchos errores y muchos “saliendo de la carepta fulana” o sea… no sé qué ocurre que no puedo instalar el gegl-0.2.0, dice algo así de que no se puede crear el archivo make o algo muy similar ;^;

  4.   proper dijo

    elva te recomiendo encarecidamente crear paquetes y no usar el método make && make install porque apt no puede gestionar estas instalaciones, eso de LD_LIBRARY_PATH puedes terminar mareando a tu administrador de paquetes.

    saludos

    1.    Courage dijo

      Jajajaja elva jajajajaja

  5.   rogertux dijo

    Ya esta en los repositorios de Arch!!

    1.    KZKG^Gaara dijo

      Dios dame fuerzas para evitar la tentación de volver a Arch .. LOL!!!

      1.    sieg84 dijo

        Una particion aparte de algunos 10-15GB y ya tienes arch sin quitar debian? Porque no hacerlo?

        1.    pandev92 dijo

          Por instalar un paquete me parece una tontería…

  6.   lucasmatias dijo

    Que alivio la modalidad de ventana única, en Unity se me re complicaba con la versión 2.6

  7.   Yoyo Fernández dijo

    Rulando a full en mi Debian testing KDE 4.7.4

    Comentar que la solución ~/.bashrc para que Gimp arranque desde su icono funciona perfectamente 😉

    Un saludo

  8.   pandev92 dijo

    Estoy intentando compilar en osx sin x11, os diré el resultado en unas horas .

    1.    Courage dijo

      http://www.sportfishermen.com/photos/data/500/GFYS.jpg

      1.    pandev92 dijo

        A veces creo que eres más gilipollas de lo que aparentas xd

        1.    Courage dijo

          Es que anda que decir cosas de Mac por aquí… Sólo se te ocurre a tí.

          1.    pandev92 dijo

            pero hablaba de gimp xd

        2.    KZKG^Gaara dijo

          ¬_¬ … sin ofender, no lo repetiré.

          1.    Courage dijo

            No me molesta

  9.   Yoyo Fernández dijo

    No entiendo esa guerra eterna de sistemas….

    Pues ahora yo voy a postear desde mi Mac para que salga reflejado en el user agent, ala!!!

    Respetemos y seremos respetados 😉

    1.    pandev92 dijo

      Seeeee xD

      1.    Yoyo Fernández dijo

        pandev92

        Yo te apoyo, compadre, los Linuxeros Maqueros, que también los habemos, debemos estar unidos 😉

    2.    sieg84 dijo

      I Have a Dream…

  10.   keopety dijo

    pandev92, a mi me interesa lo de compilarlo sin las X11, cuando lo tengas te agradecería lo comunicaras , gracias
    y respecto a lo de Courage, no le eches cuentas, sera la envidia de no poder tener un mac ,o me equivoco?

    1.    pandev92 dijo

      Ok keopety, hoy lo he intentado pero por una dependencia no pude, estoy hablando con los desolladores a ver que me dicen, ya os diré.
      Para gimp 2.6 está el paquete precompiladohttp://sourceforge.net/projects/gimp-app/files/gimp-app/

      sin x11 naturalmente.

      1.    keopety dijo

        Ok, gracias , estaré atento.
        un saludo

      2.    Courage dijo

        Ese problema le tenéis unos cuantos, y hay que esperar a que se incluya de forma oficial en algunas distros y en otras esperad un poco

    2.    Courage dijo

      Tuve uno

  11.   opensanctux dijo

    Gimp 2.8 ¿Para que sirve?

    1.    Courage dijo

      Luego alguien te dirá y pasará como en el otro post

      1.    opensanctux dijo

        debatir un poco, sanamente, solo eso : )

    2.    keopety dijo

      Estas de cachondeo,no?

      1.    opensanctux dijo

        no. obviamente se que es gimp y la pregunta es muy textual, quiero saber que aplicaciones se le pueden dar a gimp.

        1.    Windóusico dijo

          http://www.tower.com/tower_search/search_3_1_b.cfm?keywords=gimp&div_id=1&cat101=8

          1.    opensantux dijo

            …lo más que pude ver fué, pasar de novato a profesional usando gimp. Ninguno que área profesional cubre.

            Y compilarlo??? pues no, lo vi por encimita y renuncie aparte que no tengo mucho tiempo libre, me fuí por la opción fácil, instale el fedora 17 beta y lo descargue de los repositores.

            Ahora probandolo puedo decir con honestidad que es muy estable, no se si tiene soporte gpu pero maneja muy bien imagenes grandes. Lo que tiene hecho esta “bien hecho” y correctamente organizado mejor que krita (que sufre de la tragedia organizativa de kde) y mejoraron muchisimo el manejo del color, porque la 2.6 era muy malo. Y un interesante sistema de selección de capas que es uno de los puntos fuertes de Photoshop.

            Usos amateur y principiante es amplio, retoque de fotografias convencionales, foto-montajes, diseño gráfico, ilustración…

            El profesional; Diseño web, medios digitales (video, multimedia) o utilizando aplicaciones externas para la conversión de archivos… Se limita por la carencia de soportes superiores, la falta de perfiles de colores CMYK para imprenta, y paletas de colores para ilustración, etc…

            En resumen, aún le falta mucho para ser una opción profesional.

          2.    Windóusico dijo

            http://cue.yellowmagic.info/softwares/separate-plus/index.html
            http://www.techzilo.com/gimp-plugins/
            http://www.lightstalking.com/gimp-plugins
            etc…

            Tu amigo Alberto opina diferente sobre Krita:
            http://noesbuenosersincero.blogspot.com.es/2010/12/krita-o-lo-que-gimp-deberia-ser.html

          3.    opensantux dijo

            ¿Amigo mío? jajaja… NO! Mas bien me ha vetado algunos comentarios por no estar deacuerdo con el o por no decirle que es un amargado… en fin.

            Lo dicho, para web muy bien, para imprenta no es funcional, nadie va a calibrar una pc para arriesgarse a exportar con un plugin.

            Lo de que Krita es superior, creo yo que eso no se discute, pero tiene sus cositas extrañas.

          4.    Windóusico dijo

            Así que ese tipo censura comentarios,… Pues no me extraña. Como te contesté el otro día, necesita tomar más fibra.

  12.   alunado dijo

    O sea gente, Gimp 2.8 depende en algo de MONO ¿. O se puede entender eso, quizas solo pase esto para compilarlo en testing…

  13.   solidus_00 dijo

    ya lo habia instalado con otro metodo pero no salio la ventana unica, a ver si con este metodo ya jala bien 😀 gracias

    1.    Litos523 dijo

      Por defecto, se inicia en el modo tradicional multiventana.
      Tienes que ir al menu “Ventanas” y activar la opcion de ventana única.

  14.   Jose dijo

    La última vez que intenté instalar una versión de GIMP distinta a la que me ofrecían los repositorios oficiales, me quede sin GIMP. No hubo manera de volver atrás, ni purgar ni nada de nada…. Me quedé sin GIMP hasta mi siguiente reinstalación. En mi LTS no tocaré nada…. que ahí tiene que estar hasta la siguiente LTS. Eso si no tarda demasiado en aparecer como actualización.

    1.    KZKG^Gaara dijo

      JAJAJA similar me sucede. Uso Debian (Testing) y … puedo esperar por Gimp 2.8 lo que haga falta, no tengo tanto apuro como para compilar yo mismo 🙂

      1.    comentarista dijo

        ¿Podrías usar un ppa para probar?

        1.    KZKG^Gaara dijo

          Técnicamente creo que sí se puede, de hecho creo que elav había logrado instalarlo así … pero, prefiero no hacerlo. Intento mantener mi sistema 100% limpio, sin meteduras de pata o cualquier tipo de bugs o algo así jajaja.

          Para lo que uso Gimp, no me molesta esperar 1 mes más hasta que el 2.8 entre en los repos testing de Debian 🙂

          Saludos

  15.   David Pineda dijo

    Hay que instalar las libabl devel para poder compilar bien las gegl

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

*

*

  1. Responsable de los datos: Miguel Ángel Gatón
  2. Finalidad de los datos: Controlar el SPAM, gestión de comentarios.
  3. Legitimación: Tu consentimiento
  4. Comunicación de los datos: No se comunicarán los datos a terceros salvo por obligación legal.
  5. Almacenamiento de los datos: Base de datos alojada en Occentus Networks (UE)
  6. Derechos: En cualquier momento puedes limitar, recuperar y borrar tu información.